Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
Class GrailsRepoResolver

    java.lang.Object
      org.apache.ivy.plugins.resolver.AbstractResolver
          org.apache.ivy.plugins.resolver.BasicResolver
              org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
                  org.apache.ivy.plugins.resolver.RepositoryResolver
                      org.apache.ivy.plugins.resolver.URLResolver
                          org.codehaus.groovy.grails.resolve.GrailsRepoResolver

All Implemented Interfaces:
  org.apache.ivy.core.settings.Validatable, org.apache.ivy.plugins.resolver.DependencyResolver, org.apache.ivy.plugins.resolver.util.HasLatestStrategy

    public class GrailsRepoResolver

extends org.apache.ivy.plugins.resolver.URLResolver

Overrides the default Ivy resolver to substitute the release tag in Grails' repository format prior to a resolve

Since:
  1.3
Author:
  Graeme Rocher

Field Summary
`protected URL` | `repositoryRoot`

Fields inherited from class org.apache.ivy.plugins.resolver.BasicResolver
`DATE_FORMAT, DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED`

Constructor Summary
`GrailsRepoResolver(String name, URL repositoryRoot)`

Method Summary
`protected org.apache.ivy.plugins.resolver.util.ResolvedResource` | `findResourceUsingPattern(org.apache.ivy.core.module.id.ModuleRevisionId mrid, String pattern, org.apache.ivy.core.module.descriptor.Artifact artifact, org.apache.ivy.plugins.resolver.util.ResourceMDParser rmdparser, Date date)`
`groovy.util.slurpersupport.GPathResult` | `getPluginList(File localFile)` Obtains the XML representation of the plugin-list.xml held in a Grails compatible repository
`URL` | `getRepositoryRoot()`
`String` | `transformGrailsRepositoryPattern(org.apache.ivy.core.module.id.ModuleRevisionId mrid, String pattern)`

Methods inherited from class org.apache.ivy.plugins.resolver.URLResolver
`getTypeName`

Methods inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver
`download, dumpSettings, exist, findTokenValues, get, getDestination, getRepository, getResource, isAlwaysCheckExactRevision, listResources, listTokenValues, publish, put, putChecksum, setAlwaysCheckExactRevision, setName, setRepository, setSettings`

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
`addArtifactPattern, addConfiguredArtifact, addConfiguredIvy, addIvyPattern, convertM2IdForResourceSearch, convertM2OrganizationForResourceSearch, convertM2TokenValuesForResourceSearch, filterNames, findArtifactNames, findArtifactRef, findIvyFileRef, findIvyNames, findNames, findResource, findResourceUsingPatterns, getArtifactPatterns, getIvyPatterns, getModuleDescriptorExtension, isM2compatible, listTokenValues, setArtifactPatterns, setIvyPatterns, setM2compatible`

Methods inherited from class org.apache.ivy.plugins.resolver.BasicResolver
`acceptLatest, clearArtifactAttempts, clearIvyAttempts, download, exists, findFirstArtifactRef, getAndCheck, getArtifactRef, getChecksumAlgorithms, getDefaultRMDParser, getDependency, getPublicationDate, getRMDParser, getWorkspaceName, isAllownomd, isCheckconsistency, isEnvDependent, isForce, listModules, listOrganisations, listRevisions, listTokenValues, locate, logArtifactAttempt, logAttempt, logIvyAttempt, parse, reportFailure, reportFailure, setAllownomd, setCheckconsistency, setChecksums, setDescriptor, setEnvDependent, setForce, setWorkspaceName, shouldReturnResolvedModule, toString`

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractResolver
`abortPublishTransaction, beginPublishTransaction, checkInterrupted, checkLatest, commitPublishTransaction, doValidate, findModuleInCache, findModuleInCache, fromSystem, fromSystem, getCacheDownloadOptions, getCacheOptions, getChangingMatcherName, getChangingPattern, getDownloadOptions, getEventManager, getLatest, getLatestStrategy, getName, getNamespace, getRepositoryCacheManager, getSettings, getSystemNode, hidePassword, isAfter, isValidate, saveModuleRevisionIfNeeded, setCache, setChangingMatcher, setChangingPattern, setCheckmodified, setEventManager, setLatest, setLatestStrategy, setNamespace, setRepositoryCacheManager, setValidate, toSystem, toSystem, toSystem, toSystem, toSystem, toSystem, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### repositoryRoot

    protected URL repositoryRoot

Constructor Detail

### GrailsRepoResolver

    public GrailsRepoResolver(String name,
                              URL repositoryRoot)

Method Detail

### getRepositoryRoot

    public URL getRepositoryRoot()

### findResourceUsingPattern

    protected org.apache.ivy.plugins.resolver.util.ResolvedResource findResourceUsingPattern(org.apache.ivy.core.module.id.ModuleRevisionId mrid,
                                                                                             String pattern,
                                                                                             org.apache.ivy.core.module.descriptor.Artifact artifact,
                                                                                             org.apache.ivy.plugins.resolver.util.ResourceMDParser rmdparser,
                                                                                             Date date)

  Overrides:
    `findResourceUsingPattern` in class `org.apache.ivy.plugins.resolver.RepositoryResolver`

### transformGrailsRepositoryPattern

    public String transformGrailsRepositoryPattern(org.apache.ivy.core.module.id.ModuleRevisionId mrid,
                                                   String pattern)

### getPluginList

    public groovy.util.slurpersupport.GPathResult getPluginList(File localFile)

  Obtains the XML representation of the plugin-list.xml held in a Grails compatible repository

  Parameters:
    `localFile` - The local file to save to XML too
  Returns:
    The GPathResult reperesenting the XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD